public class GetAlertRulesRequest
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 类和说明 |
|---|---|
static class |
GetAlertRulesRequest.GetAlertRulesRequestTags |
| 限定符和类型 | 字段和说明 |
|---|---|
String |
alertIds
The unique IDs of alert rules.
|
String |
alertNames
The names of alert rules.
|
String |
alertStatus
The status of the alert rule.
|
String |
alertType
The type of the alert rule.
|
String |
clusterId
The ID of the monitored cluster.
|
Long |
page
The number of the page to return.
|
String |
productCode
You do not need to configure this parameter.
|
String |
regionId
The region ID.
|
Long |
size
The number of alert rules to return on each page.
|
List<GetAlertRulesRequest.GetAlertRulesRequestTags> |
tags
The list of tags.
|
| 构造器和说明 |
|---|
GetAlertRulesRequest() |
| 限定符和类型 | 方法和说明 |
|---|---|
static GetAlertRulesRequest |
build(Map<String,?> map) |
String |
getAlertIds() |
String |
getAlertNames() |
String |
getAlertStatus() |
String |
getAlertType() |
String |
getClusterId() |
Long |
getPage() |
String |
getProductCode() |
String |
getRegionId() |
Long |
getSize() |
List<GetAlertRulesRequest.GetAlertRulesRequestTags> |
getTags() |
GetAlertRulesRequest |
setAlertIds(String alertIds) |
GetAlertRulesRequest |
setAlertNames(String alertNames) |
GetAlertRulesRequest |
setAlertStatus(String alertStatus) |
GetAlertRulesRequest |
setAlertType(String alertType) |
GetAlertRulesRequest |
setClusterId(String clusterId) |
GetAlertRulesRequest |
setPage(Long page) |
GetAlertRulesRequest |
setProductCode(String productCode) |
GetAlertRulesRequest |
setRegionId(String regionId) |
GetAlertRulesRequest |
setSize(Long size) |
GetAlertRulesRequest |
setTags(List<GetAlertRulesRequest.GetAlertRulesRequestTags> tags) |
@NameInMap(value="AlertIds") public String alertIds
The unique IDs of alert rules.
example:When you call the GetAlertRules operation, you can specify other request parameters to obtain the AlertIds parameter from the response. Then, you can specify the AlertIds parameter to query the specified alert rules.
["12345"]
@NameInMap(value="AlertNames") public String alertNames
The names of alert rules. When you create alert rules of the new version, you cannot specify duplicate names. However, existing alert rules may have duplicate names. Therefore, the AlertName parameter does not uniquely identify an alert rule.
["test"]
@NameInMap(value="AlertStatus") public String alertStatus
The status of the alert rule. Valid values:
example:The PAUSED status indicates that the alert rule is abnormal and is actively paused by the system. The alert rule may be paused because that it is not unique or the associated cluster has been deleted.
RUNNING
@NameInMap(value="AlertType") public String alertType
The type of the alert rule.
APPLICATION_MONITORING_ALERT_RULE
@NameInMap(value="ClusterId") public String clusterId
The ID of the monitored cluster.
example:ceba9b9ea5b924dd0b6726d2de6******
@NameInMap(value="Page") public Long page
The number of the page to return.
This parameter is required.
example:1
@NameInMap(value="ProductCode") public String productCode
You do not need to configure this parameter.
example:null
@NameInMap(value="RegionId") public String regionId
The region ID.
This parameter is required.
example:cn-hangzhou
@NameInMap(value="Size") public Long size
The number of alert rules to return on each page.
This parameter is required.
example:20
@NameInMap(value="Tags") public List<GetAlertRulesRequest.GetAlertRulesRequestTags> tags
The list of tags.
public static GetAlertRulesRequest build(Map<String,?> map) throws Exception
Exceptionpublic GetAlertRulesRequest setAlertIds(String alertIds)
public String getAlertIds()
public GetAlertRulesRequest setAlertNames(String alertNames)
public String getAlertNames()
public GetAlertRulesRequest setAlertStatus(String alertStatus)
public String getAlertStatus()
public GetAlertRulesRequest setAlertType(String alertType)
public String getAlertType()
public GetAlertRulesRequest setClusterId(String clusterId)
public String getClusterId()
public GetAlertRulesRequest setPage(Long page)
public Long getPage()
public GetAlertRulesRequest setProductCode(String productCode)
public String getProductCode()
public GetAlertRulesRequest setRegionId(String regionId)
public String getRegionId()
public GetAlertRulesRequest setSize(Long size)
public Long getSize()
public GetAlertRulesRequest setTags(List<GetAlertRulesRequest.GetAlertRulesRequestTags> tags)
public List<GetAlertRulesRequest.GetAlertRulesRequestTags> getTags()
Copyright © 2024. All rights reserved.